Name:		kfoldersync
Version:	3.4.1
Release:	%mkrel 2
Summary:	Folder synchronization and backup tool
License:	GPLv3+
Group:		Graphical desktop/KDE5
Url:		https://www.linux-apps.com/p/1127677/
Source0:	https://dl.opendesktop.org/api/files/download/id/1480515062/%{name}-%{version}.tar.xz
Patch0:		kfoldersync-3.4.1-mga-complete-french-translation.patch
BuildRequires: gettext
BuildRequires: cmake
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5jobwidgets5 
BuildRequires: lib64kf5jobwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64qt5concurrent-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: qtbase5-common-devel 


%description
Folder synchronization and backup tool for Plasma 5.

%prep
%setup -q
%apply_patches

%build
%cmake_kf5

%make

%install
rm -rf %buidlroot
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/*/*


%changelog
* Fri Jul 09 2021 tex - 3.4.1-2pclos2021
- rebuild against updates

* Fri Jan 27 2017 bb <bb> 3.4.1-1pclos2017
- new version

* Fri Dec 23 2016 bb <bb> 3.3.2-1pclos2017
- import

